<bugID>211743<Summary>Some left (double) clicks on the bookmarks toolbar folders are ignored</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030630 Mozilla Firebird/0.6
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030630 Mozilla Firebird/0.6

Clicking on a folder name in the bookmark toolbar does not always open or close
the corresponding menu.  The problem seems to be related to the double click
detection. 

Reproducible: Always

Steps to Reproduce:
1. Create a bookmark toolbar with a least 2 folders
2. Open the menu of the first folder
3. Click on the second folder name. This should close the first menu
4. Immediately click a second time to open the second menu. 

If you are faster than the 'Double click Delay' then nothing happens. 
You may have to click a third time or even a fourth time to finally 
open the menu. I find this anoying because it gives the impression that
Firebird is not responsive. 

This behavior is easier to reproduce with a high 'Double-click Delay'.









My system characteristics are 
  Linux 2.5.67 - Debian Unstable - Gnome 2.2 - XFree86 4.3 - Sawfish</Description></bugID>